Skip to navigation

List

Lists mirrored Courie orders for the caller’s organization with filtering, sorting, and pagination. | () -> (CourieOrderListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenumOptional
Field to sort by.
Allowed values:
sort_orderenumOptional

Sort order (asc or desc).

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
filter_provider_org_idstringOptional

Filter by provider org ID(s)

filter_integration_order_idstringOptional
Filter by Courie's exact order ID
filter_customer_idstringOptional
Filter by the Courie customer the order belongs to
filter_provider_statusenumOptional
Filter by Courie's own order status
filter_mirrored_at_timestamp_gtedatetimeOptional

Filter mirrored_at_timestamp >= value

filter_mirrored_at_timestamp_ltedatetimeOptional

Filter mirrored_at_timestamp <= value

filter_created_at_timestamp_gtedatetimeOptional

Filter created_at_timestamp >= value

filter_created_at_timestamp_ltedatetimeOptional

Filter created_at_timestamp <= value

filter_updated_at_timestamp_gtedatetimeOptional

Filter updated_at_timestamp >= value

filter_updated_at_timestamp_ltedatetimeOptional

Filter updated_at_timestamp <= value

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Orders List V1request Unprocessable Entity Error